# WLAN
PRODUCT_PACKAGES :=	\
    board-2.bin		\
    firmware-5.bin	\
    wlanmdsp.mbn

# Bluetooth
PRODUCT_PACKAGES +=	\
    crbtfw21.tlv	\
    crnv21.bin

# Adreno
PRODUCT_PACKAGES +=	\
    a630_gmu.bin	\
    a630_sqe.fw		\
    a630_zap.mbn	\
    a630_zap.mdt

# DSP (adsp+cdsp)
PRODUCT_PACKAGES +=	\
    adsp.mbn		\
    adsp.mdt		\
    adspr.jsn		\
    adspua.jsn		\
    cdsp.mbn		\
    cdsp.mdt		\
    cdspr.jsn

# Modem
PRODUCT_PACKAGES +=	\
    mba.mbn		\
    modem.mbn		\
    modemuw.jsn

# Video encoder/decoder accelerator
PRODUCT_PACKAGES +=	\
    venus.b00		\
    venus.b01		\
    venus.b02		\
    venus.b03		\
    venus.b04		\
    venus.mbn		\
    venus.mdt

# USB (USB Host to PCIE)
# For Ethernet and one of the USB-A host port to work
PRODUCT_PACKAGES +=	\
    K2026090.mem

# I2C/SPI fix
PRODUCT_PACKAGES +=	\
    devcfg.mbn

# Copy Venus and ADSP/CDSP firmware files to ramdisk to drop the
# dependency on user sysfs fw loader helper (FW_LOADER_USER_HELPER_FALLBACK)
ifeq ($(TARGET_USES_BOOT_HDR_V3), true)
    PRODUCT_COPY_FILES += \
        vendor/linaro_devices/common/linux-firmware/qcom/sdm845/adsp.mbn:$(TARGET_COPY_OUT_VENDOR_RAMDISK)/vendor/firmware/qcom/sdm845/adsp.mbn		\
        vendor/linaro_devices/common/linux-firmware/qcom/sdm845/cdsp.mbn:$(TARGET_COPY_OUT_VENDOR_RAMDISK)/vendor/firmware/qcom/sdm845/cdsp.mbn		\
        vendor/linaro_devices/common/linux-firmware/qcom/venus-5.2/venus.b00:$(TARGET_COPY_OUT_VENDOR_RAMDISK)/vendor/firmware/qcom/venus-5.2/venus.b00	\
        vendor/linaro_devices/common/linux-firmware/qcom/venus-5.2/venus.b01:$(TARGET_COPY_OUT_VENDOR_RAMDISK)/vendor/firmware/qcom/venus-5.2/venus.b01	\
        vendor/linaro_devices/common/linux-firmware/qcom/venus-5.2/venus.b02:$(TARGET_COPY_OUT_VENDOR_RAMDISK)/vendor/firmware/qcom/venus-5.2/venus.b02	\
        vendor/linaro_devices/common/linux-firmware/qcom/venus-5.2/venus.b03:$(TARGET_COPY_OUT_VENDOR_RAMDISK)/vendor/firmware/qcom/venus-5.2/venus.b03	\
        vendor/linaro_devices/common/linux-firmware/qcom/venus-5.2/venus.b04:$(TARGET_COPY_OUT_VENDOR_RAMDISK)/vendor/firmware/qcom/venus-5.2/venus.b04	\
        vendor/linaro_devices/common/linux-firmware/qcom/venus-5.2/venus.mbn:$(TARGET_COPY_OUT_VENDOR_RAMDISK)/vendor/firmware/qcom/venus-5.2/venus.mbn	\
        vendor/linaro_devices/common/linux-firmware/qcom/venus-5.2/venus.mdt:$(TARGET_COPY_OUT_VENDOR_RAMDISK)/vendor/firmware/qcom/venus-5.2/venus.mdt
else
    PRODUCT_COPY_FILES += \
        vendor/linaro_devices/common/linux-firmware/qcom/sdm845/adsp.mbn:$(TARGET_COPY_OUT_RAMDISK)/vendor/firmware/qcom/sdm845/adsp.mbn		\
        vendor/linaro_devices/common/linux-firmware/qcom/sdm845/cdsp.mbn:$(TARGET_COPY_OUT_RAMDISK)/vendor/firmware/qcom/sdm845/cdsp.mbn		\
        vendor/linaro_devices/common/linux-firmware/qcom/venus-5.2/venus.b00:$(TARGET_COPY_OUT_RAMDISK)/vendor/firmware/qcom/venus-5.2/venus.b00	\
        vendor/linaro_devices/common/linux-firmware/qcom/venus-5.2/venus.b01:$(TARGET_COPY_OUT_RAMDISK)/vendor/firmware/qcom/venus-5.2/venus.b01	\
        vendor/linaro_devices/common/linux-firmware/qcom/venus-5.2/venus.b02:$(TARGET_COPY_OUT_RAMDISK)/vendor/firmware/qcom/venus-5.2/venus.b02	\
        vendor/linaro_devices/common/linux-firmware/qcom/venus-5.2/venus.b03:$(TARGET_COPY_OUT_RAMDISK)/vendor/firmware/qcom/venus-5.2/venus.b03	\
        vendor/linaro_devices/common/linux-firmware/qcom/venus-5.2/venus.b04:$(TARGET_COPY_OUT_RAMDISK)/vendor/firmware/qcom/venus-5.2/venus.b04	\
        vendor/linaro_devices/common/linux-firmware/qcom/venus-5.2/venus.mbn:$(TARGET_COPY_OUT_RAMDISK)/vendor/firmware/qcom/venus-5.2/venus.mbn	\
        vendor/linaro_devices/common/linux-firmware/qcom/venus-5.2/venus.mdt:$(TARGET_COPY_OUT_RAMDISK)/vendor/firmware/qcom/venus-5.2/venus.mdt
endif
